import Vector3 from "../Vector3";

export class SurfacePoint3 {
    normal: Vector3
    position: Vector3
    index: number

    applyMatrix4(m4: ArrayLike<number>): void

    fromArray(array: ArrayLike<number>, offset?: number): void

    toArray(array: ArrayLike<number>, offset?: number): void

    copy(other: SurfacePoint3): void

    clone(): SurfacePoint3
}
